Updated: Vagrantfile and Makefile required for creating vagrant base image

Change-Id: Idbc0ece27e2541ad4b08f31b6fc37f374cafff3b
diff --git a/vagrant-base/Makefile b/vagrant-base/Makefile
index e632302..ba025c6 100644
--- a/vagrant-base/Makefile
+++ b/vagrant-base/Makefile
@@ -1,3 +1,19 @@
+#
+# Copyright 2016 the original author or authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
 PROTO_FILES := $(wildcard *.proto) $(wildcard third_party/google/api/*proto)
 PROTO_PB2_FILES := $(foreach f,$(PROTO_FILES),$(subst .proto,_pb2.py,$(f)))
 PROTO_DESC_FILES := $(foreach f,$(PROTO_FILES),$(subst .proto,.desc,$(f)))
diff --git a/vagrant-base/Vagrantfile_base b/vagrant-base/Vagrantfile_base
index d77ef9a..c2a0c43 100644
--- a/vagrant-base/Vagrantfile_base
+++ b/vagrant-base/Vagrantfile_base
@@ -17,7 +17,7 @@
     #d.vm.network "public_network"
     d.vm.provision :shell, path: "../ansible/scripts/bootstrap_ansible.sh"
     d.vm.provision :shell, inline: "PYTHONUNBUFFERED=1 ansible-playbook /voltha/ansible/voltha.yml -c local"
-    d.vm.provision :shell, inline: "cd /voltha/base-vagrant && make install-protoc"
+    d.vm.provision :shell, inline: "cd /voltha/vagrant-base && make install-protoc"
     #d.vm.provision :shell, path: "./test_script.sh"
     d.vm.provider "virtualbox" do |v|
       v.name = "voltha-base"
diff --git a/vagrant-base/test_script.sh b/vagrant-base/test_script.sh
old mode 100644
new mode 100755
index 0c4d07b..e1c2ac6
--- a/vagrant-base/test_script.sh
+++ b/vagrant-base/test_script.sh
@@ -1,4 +1,36 @@
 #!/bin/bash
+#
+# Copyright 2016 the original author or authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
 
-echo "Testing script..."
-sudo usermod -a -G sudo vagrant
\ No newline at end of file
+set -e
+
+echo 'Test script...'
+echo 'First... Preparing env...'
+echo "############################### MAKE FETCH & MAKE ###############################"
+vagrant ssh -- -t 'cd /voltha && source env.sh && make fetch && make'
+echo 'Now... Smoke test...'
+echo "################################## SMOKE TEST ###################################"
+vagrant ssh -- -t 'cd /voltha && source env.sh && make smoke-test'
+echo 'Now... itest...'
+echo "#################################### iTEST ######################################"
+vagrant ssh -- -t 'cd /voltha && source env.sh && make itest'
+echo 'Now... utest...'
+echo "#################################### uTEST ######################################"
+vagrant ssh -- -t 'cd /voltha && source env.sh && make utest'
+echo 'Now... test...'
+echo "#################################### TEST #######################################"
+vagrant ssh -- -t 'cd /voltha && source env.sh && make test'
+echo 'Done with the test...'